/*
*  NewsPasDlgs.cpp
*  Copyright  1999-2006 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "NewsPasDlgs.h"
#include "NewsProfDlgs2.h"
#include "Global.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TNewsPasDlg *NewsPasDlg;
//---------------------------------------------------------------------------
AnsiString __fastcall GetAccountPassword(TForm *Owner, bool securemode, bool &remember)
{
   remember = false;
   AnsiString password;
   NewsPasDlg = new TNewsPasDlg(Owner);
   if (securemode) NewsPasDlg->RememberBox->Hide();
   NewsPasDlg->ShowModal();
   if (NewsPasDlg->ModalResult==mrOk)
   {
      remember = NewsPasDlg->RememberBox->Checked;
      password = NewsPasDlg->Password->Text;
   }
   delete NewsPasDlg;
   return password;
}
//---------------------------------------------------------------------------
__fastcall TNewsPasDlg::TNewsPasDlg(TComponent* Owner)
	: TForm(Owner)
{
   CenterDialog(this,Owner);
   Password->Clear();
}
//---------------------------------------------------------------------------
void __fastcall TNewsPasDlg::HideBoxClick(TObject *Sender)
{
   Password->PasswordChar = HideBox->Checked ? '*':'\0';
}
//---------------------------------------------------------------------------
