/*
*  NewsTransDlgs.h
*  Copyright  1999-2006 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef NewsTransDlgsH
#define NewsTransDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
bool __fastcall HandleNewsgroupMail(TForm *Owner);
bool __fastcall MoveAppNewsDat2AppMainDat(TForm *Owner);

class TNewsTransDlg : public TForm
{
__published:	// IDE-managed Components
	TPanel *Panel1;
	TTimer *Timer1;
	void __fastcall Timer1Timer(TObject *Sender);
private:	// User declarations
public:		// User declarations
        AnsiString newsgroup;
        TStringList *subjects;
	__fastcall TNewsTransDlg(TComponent* Owner);
	__fastcall virtual ~TNewsTransDlg();
        bool __fastcall IsNewsgroupSubjectMatch(const AnsiString &newsgroup, TStrings *message);
};
//---------------------------------------------------------------------------
extern TNewsTransDlg *NewsTransDlg;
//---------------------------------------------------------------------------
#endif
